Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.TextInteractionFlag

    java.lang.Object
      java.lang.Enum<Qt.TextInteractionFlag>
          com.trolltech.qt.core.Qt.TextInteractionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.TextInteractionFlag>

Enclosing interface:
  Qt

    public static enum Qt.TextInteractionFlag

extends java.lang.Enum<Qt.TextInteractionFlag>
implements QtEnumerator

This enum specifies how a text displaying widget reacts to user input.

Enum Constant Summary
`LinksAccessibleByKeyboard` Links can be focused using tab and activated with enter.
`LinksAccessibleByMouse` Links can be highlighted and activated with the mouse.
`NoTextInteraction` No interaction with the text is possible.
`TextBrowserInteraction` The default for `QTextBrowser`.
`TextEditable` The text is fully editable.
`TextEditorInteraction` The default for a text editor.
`TextSelectableByKeyboard` Text can be selected with the cursor keys on the keyboard.
`TextSelectableByMouse` Text can be selected with the mouse and copied to the clipboard using a context menu or standard keyboard shortcuts.

Method Summary
`static Qt.TextInteractionFlags` | `createQFlags(Qt.TextInteractionFlag... values)`
`static Qt.TextInteractionFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextInteractionFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.TextInteractionFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoTextInteraction

    public static final Qt.TextInteractionFlag NoTextInteraction

  No interaction with the text is possible.

### TextSelectableByMouse

    public static final Qt.TextInteractionFlag TextSelectableByMouse

  Text can be selected with the mouse and copied to the clipboard using a context menu or standard keyboard shortcuts.

### TextSelectableByKeyboard

    public static final Qt.TextInteractionFlag TextSelectableByKeyboard

  Text can be selected with the cursor keys on the keyboard. A text cursor is shown.

### LinksAccessibleByMouse

    public static final Qt.TextInteractionFlag LinksAccessibleByMouse

  Links can be highlighted and activated with the mouse.

### LinksAccessibleByKeyboard

    public static final Qt.TextInteractionFlag LinksAccessibleByKeyboard

  Links can be focused using tab and activated with enter.

### TextEditable

    public static final Qt.TextInteractionFlag TextEditable

  The text is fully editable.

### TextEditorInteraction

    public static final Qt.TextInteractionFlag TextEditorInteraction

  The default for a text editor.

### TextBrowserInteraction

    public static final Qt.TextInteractionFlag TextBrowserInteraction

  The default for `QTextBrowser`.

Method Detail

### values

    public static final Qt.TextInteractionFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.TextInteractionFlag c : Qt.TextInteractionFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.TextInteractionFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.TextInteractionFlags createQFlags(Qt.TextInteractionFlag... values)

### resolve

    public static Qt.TextInteractionFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD